
package airport.saibot.services.pr;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the airport.saibot.services.pr package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ResponseMessage_QNAME = new QName("saibot.airport/services/pr", "responseMessage");
    private final static QName _RequestMessage_QNAME = new QName("saibot.airport/services/pr", "requestMessage");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: airport.saibot.services.pr
     *
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GreetingResponseType }
     *
     */
    public GreetingResponseType createGreetingResponseType() {
        return new GreetingResponseType();
    }

    /**
     * Create an instance of {@link GreetingRequestType }
     *
     */
    public GreetingRequestType createGreetingRequestType() {
        return new GreetingRequestType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GreetingResponseType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "saibot.airport/services/pr", name = "responseMessage")
    public JAXBElement<GreetingResponseType> createResponseMessage(GreetingResponseType value) {
        return new JAXBElement<GreetingResponseType>(_ResponseMessage_QNAME, GreetingResponseType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GreetingRequestType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "saibot.airport/services/pr", name = "requestMessage")
    public JAXBElement<GreetingRequestType> createRequestMessage(GreetingRequestType value) {
        return new JAXBElement<GreetingRequestType>(_RequestMessage_QNAME, GreetingRequestType.class, null, value);
    }

}
